%define version    4.11
%define release    20170707
%define rhel_version 6

# define python macros for RHEL6
%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           redhat-certification-hardware-preview
Summary:        Red Hat Hardware Test Suite - Info
Version:        %{version}
Release:        %{release}.el%{rhel_version}
Group:          Development/Tools
License:        GPL
URL:            http://redhat.com
Source0:        %{name}-%{version}-%{release}.tar.bz2
# snapshot
Buildroot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
# Conflicts: nothing
Requires: redhat-certification-hardware

%description
TODO - add nice description

%prep
%setup -q -c


%build
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
DESTDIR=$RPM_BUILD_ROOT HWCERT_RHEL_VERSION=%{rhel_version} HWCERT_RELEASE=20170707 make install-preview

%install
DESTDIR=$RPM_BUILD_ROOT HWCERT_RHEL_VERSION=%{rhel_version} HWCERT_RELEASE=20170707 make install-preview

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%pre

%post

%files
%defattr(-,root,root)
%{?python2_sitelib}/rhcert/suites/hwcertpreview
%{?python2_sitelib}/rhcert/suites/hwcertpreview/__init__.py*


%changelog

* Mon Jul 18 2016 Ben Rose <brose@redhat.com>
  1341399 - Move 100GigE and 50GigE to standard -hardware package

* Thu Apr 14 2016 Ben Rose <brose@redhat.com>
  1327344 - moved 20GigEthernet test to regular test package
  1327361 - moved 25GigEthernet test to regular test package

* Tue Mar 15 2016 Ben Rose <brose@redhat.com>
  1317912 - created tech preview package and moved fv_networking out of -hardware and into it
  1317925 - moved fv_storage out of -hardware and into -preview
  1317931 - refactored ethernetTest into hwcert directory to support imports from -preview
  1317933 - added 25GigEthernet test to tech preview package
  1317936 - added 50GigEthernet test to tech preview package
  1317938 - added 100GigEthernet test to tech preview package
  1317942 - added generic ethernet test to tech preview package and fixed path prefixes for 50 and 100G
